@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.sidebar {
    width: 5%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 30px;
    padding: 30px 45px;
}

.sidebar div {
    display: flex;
    flex-direction: column;
    font-size: 10px;
    align-items: center;
    justify-content: center;
}


.main_page {
    width: 95%;
    height: 100vh;
}

.nav_header {
    height: 10vh;
    display: flex;
    border-bottom: 1px solid #ccc;
}

.logo {
    width: 25%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.logo img {
    width: 150px;
}

.search_and_mic {
    width: 70%;
    display: flex;
}

.search_bar {
    width: 90%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.search_bar input {
    width: 600px;
    height: 40px;
    border: 1px solid #ccc;
}

.search_btn {
    background-color: #e9e9ed;
    padding: 5px 20px;
    transition: 0.2s ease-in-out;
    border: none;
}

.search_btn:hover {
    transition: 0.2s ease-in-out;
    background-color: #cac9c9;
}

.mic {
    width: 10%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mic_container {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f0efef;
    padding: 10px;
    border-radius: 50%;
    transition: 0.2s ease-in-out;
}

.mic_container:hover {
    transition: 0.2s ease-in-out;
    background-color: #cac9c9;
}

.mic_container img {
    width: 30px;
}

.nav_options {
    width: 30%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.tags {
    height: 8vh;
    display: flex;
    align-items: center;
    gap: 20px;
    padding-left: 1px;
}

.tags div {
    width: auto;
    height: 40px;
    font-size: medium;
    background-color: #eeeeee;
    border-radius: 30px;
    display: flex;
    align-items: center;
    padding: 20px;
    border: 1px solid black;
    font-size: small;
}

.tags .all {
    color: white;
    background-color: black;
}

.grid_container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
    background-color: #f0eeee;
}

.item {
    font-size: 20px;
    padding: 10px;
    width: 300px;
    height: 300px;
    display: flex;
    flex-direction: column;
}

.item img {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
}

.video_info {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 20px;
}

.video_info .profile {
    width: 20%;
}

.video_info .title_info {
    width: 80%;
    line-height: 1.5rem;
}

.video_info .title_info h3 {
    font-size: large;
    margin-bottom: 6px;
    font-weight: bolder;
}

.video_info .title_info p {
    font-size: 15px;
    font-weight: lighter;
}

.video_info .more_options {
    width: 10%;
}

/* media query */

@media only screen and (max-width: 768px) {

    .logo {
        width: 15%;
    }

    .logo img {
        width: 100px;
    }

    .search_and_mic {
        margin: 0 30px;
    }

    .search_and_mic {
        width: 30%;
        gap: 40px;
    }

    .mic {
        width: 20%;
    }

    .nav_options {
        margin-left: 50px;
    }

    .search_bar input {
        width: 400px;
        height: 30px;
    }

    .search_btn {
        padding: none;
    }

    .search_btn img {
        width: 20px;
    }

    .grid_container {
        grid-template-columns: repeat(2, 1fr);
    }

    .item {
        width: 200px;
        height: 200px;
    }

}

@media only screen and (max-width: 600px) {
    .grid_container {
        grid-template-columns: repeat(1, 1fr);
    }

    .item {
        width: 400px;
        height: 400px;
    }

    .nav_options img {
        width: 20px;
    }

    .logo img {
        width: 80px;
    }

    .search_and_mic {
        width: 40%;
    }

    .search_and_mic input {
        width: 100px;
    }

    .search_and_mic .search_btn {
        width: 10px;
    }
}